#include <stdlib.h>
#include <avr/interrupt.h>
#include <avr/signal.h>
#include <avr/io.h>
#include <avr/pgmspace.h>
#include "evalboard.h"
#include <util/delay.h>

unsigned char leds = 0x04;

void USART_Init( unsigned int baud )
{
/* Set baud rate */
UBRRH = (unsigned char)(UART_BAUD_RATE>>8);
UBRRL = (unsigned char)UART_BAUD_RATE;
/* Enable receiver and transmitter */
UCSRB = (1<<RXEN)|(1<<TXEN);
/* Set frame format: 8data, 2stop bit */
UCSRC = (1<<URSEL)|(1<<USBS)|(3<<UCSZ0);
}

void USART_Transmit( unsigned char data )
{
/* Wait for empty transmit buffer */
while ( !( UCSRA & (1<<UDRE)) );

/* Put data into buffer, sends the data */
UDR = data;
}

int main(void) {
   
   USART_Init ( 9600);
   while (1) {
    USART_Transmit( "H");
	/*LED an */
	_delay_ms(500);
	leds = 0x04;
	DDRD = DDRD | 0x1c;
    PORTD = (PORTD & 0xe3) | leds;
	_delay_ms(500);
	leds = 0x00;
	DDRD = DDRD | 0x1c;
    PORTD = (PORTD & 0xe3) | leds;
   }
}
